section.qr-code {
    position: relative;
    background: var(--white);
    padding: 4rem 1.5rem;
    font-family: var(--zodiak);
}

section.qr-code .content {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    height: 85vh;
}

.qr-code .content h1 {
    font-size: 35px;
    font-weight: 700;
}

.qr-card {
    background-color: #fff;
    padding: 20px;
    border-radius: 20px;
    display: inline-block;
    transition: transform 0.3s ease;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.qr-card:hover {
    transform: scale(1.03);
}

.qr-card img {
    width: 100%;
    max-width: 250px;
    height: auto;
}

.qr-code .content p {
    font-size: 20px;
}

.content button {
    background-color: var(--primary);
    padding: 7px 50px;
    border: none;
    color: var(--white);
    border-radius: 20px;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out, transform 0.2s ease-in-out;
}

.content button:hover {
    background-color: var(--white);
    transform: scale(1.05); /* Sedikit membesar saat hover */
    border: solid 1px var(--primary);
    color: var(--primary);
}

/* Responsive */
/* Mobile */
@media (max-width: 576px) {
    .qr-code .content h1 {
        font-size: 30px;
    }

    .qr-code .content p {
        font-size: 20px;
        max-width: 350px;
    }

    /* Ornamnet */
    .qr-code .ornaments img:nth-child(1) {
        position: absolute;
        top: 0;
        left: -8%;
        width: 50%;
        object-fit: cover;
    }

    .qr-code .ornaments img:nth-child(2) {
        position: absolute;
        bottom: 0;
        right: -8%;
        width: 50%;
        object-fit: cover;
        transform: scaleX(-1) scaleY(-1);
    }
}

@media (min-width: 320px) and (max-width: 435px) {
    .qr-code .content h1 {
        font-size: 25px;
    }

    .qr-code .content p {
        font-size: 15px;
        max-width: 340px;
    }

    .qr-code .content img:nth-child(3) {
        width: 70%;
    }
}
